ObjectIdGenerator.IdKey
Date: 2016-12-03

com.fasterxml.jackson.annotation

## Class ObjectIdGenerator.IdKey

- java.lang.Object
- - com.fasterxml.jackson.annotation.ObjectIdGenerator.IdKey

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    ObjectIdGenerator<T>

      public static final class ObjectIdGenerator.IdKey
      extends java.lang.Object
      implements java.io.Serializable

  Simple key class that can be used as a key for ObjectId-to-POJO mappings, when multiple ObjectId types and scopes are used.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Object` | `key` Object for which Object Id was generated: can NOT be null.
    `java.lang.Class<?>` | `scope` Scope of the Object Id (may be null, to denote global)
    `java.lang.Class<?>` | `type` Type of `ObjectIdGenerator` used for generating Object Id

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectIdGenerator.IdKey(java.lang.Class<?> type, java.lang.Class<?> scope, java.lang.Object key)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### type

          public final java.lang.Class<?> type

      Type of `ObjectIdGenerator` used for generating Object Id

    - #### scope

          public final java.lang.Class<?> scope

      Scope of the Object Id (may be null, to denote global)

    - #### key

          public final java.lang.Object key

      Object for which Object Id was generated: can NOT be null.

  - ### Constructor Detail

    - #### ObjectIdGenerator.IdKey

          public ObjectIdGenerator.IdKey(java.lang.Class<?> type,
                                 java.lang.Class<?> scope,
                                 java.lang.Object key)

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`